#
#	Script to build a PowerPC application built with the Symantec C++ CDK
#	Copyright (c) 1994 Symantec Corporation. All Rights Reserved.
#
#	Arguments:
#
#		1. Pathname of the object directory
#		2. Name of the application
#
#	The project name is assumed to be the application name plus "."
#	You will need to modify this script so that the creator type for
#	your application is correct.
#
Set LinkOptions		"-sym on -warn -main __cplusstart"
Set MakeSYMOptions	"-sym on -i :: -r"

Set XCOFFname		"'{2}.xcoff'"
Set SYMname			"'::{2}.SYM'"
Set RsrcFileName	"'::{2}..rsrc'"
Set AppName			"'::{2}'"
Set Creator			'PETE'

Set tempDir			`Directory`

# insure directory changes against errors
Set exit 1
	Directory "{1}"
	Begin
		PPCLink {LinkOptions}  -o {XCOFFname} `files .o`
		Set ErrorResult {Status}
		If !{ErrorResult}
			MakeSYM {XCOFFname} {MakeSYMOptions} -o {SYMname}
			Set ErrorResult {Status}
			If !{ErrorResult}
				SetFile {SYMname} -c 'R2Db' -t 'MPSY'
				MakePEF {XCOFFname} -o {AppName} 
					 -l "AppleScriptLib.xcoff.o=AppleScriptLib" 
					 -l "InterfaceLib.xcoff.o=InterfaceLib" 
					 -l "MathLib.xcoff.o=MathLib" 
					 -l "ObjectSupportLib.xcoff.o=ObjectSupportLib" 
					 -l "QuickTimeLib.xcoff.o=QuickTimeLib" 
					 -ft 'APPL' -fc "{Creator}"
				Set ErrorResult {Status}
				If !{ErrorResult}
					Duplicate -r -y {RsrcFileName} {AppName}
				End
			End
		End
	End  PPCBuild.out
Set exit 1
Directory "{tempDir}"

If {ErrorResult}
	Exit {ErrorResult}
Else
	Echo "Done"
End
